그래프 API 버전

Oembed Video

On April 8, 2025, we introduced a new oEmbed feature, Meta oEmbed Read to replace the existing oEmbed Read feature. The current oEmbed Read feature will be deprecated on November 3, 2025.

  • Apps created after April 8, 2025 that implement oEmbed will use the new Meta oEmbed Read feature.
  • Existing apps that already use the current oEmbed Read feature will be automatically updated to the new Meta oEmbed Read feature by November 3, 2025.

The following fields are no longer returned and will be fully deprecated on November 3, 2025:

  • author_name
  • author_url
  • thumbnail_height
  • thumbnail_url
  • thumbnail_width

Read the oEmbed Updates blog post from Meta to learn more.

읽기

OembedVideo

Graph API Explorer
GET /v25.0/oembed_video HTTP/1.1
Host: graph.facebook.com
/* PHP SDK v5.0.0 */
/* make the API call */
try {
  // Returns a `Facebook\FacebookResponse` object
  $response = $fb->get(
    '/oembed_video',
    '{access-token}'
  );
} catch(Facebook\Exceptions\FacebookResponseException $e) {
  echo 'Graph returned an error: ' . $e->getMessage();
  exit;
} catch(Facebook\Exceptions\FacebookSDKException $e) {
  echo 'Facebook SDK returned an error: ' . $e->getMessage();
  exit;
}
$graphNode = $response->getGraphNode();
/* handle the result */
/* make the API call */
FB.api(
    "/oembed_video",
    function (response) {
      if (response && !response.error) {
        /* handle the result */
      }
    }
);
/* make the API call */
new GraphRequest(
    AccessToken.getCurrentAccessToken(),
    "/oembed_video",
    null,
    HttpMethod.GET,
    new GraphRequest.Callback() {
        public void onCompleted(GraphResponse response) {
            /* handle the result */
        }
    }
).executeAsync();
/* make the API call */
FBSDKGraphRequest *request = [[FBSDKGraphRequest alloc]
                               initWithGraphPath:@"/oembed_video"
                                      parameters:params
                                      HTTPMethod:@"GET"];
[request startWithCompletionHandler:^(FBSDKGraphRequestConnection *connection,
                                      id result,
                                      NSError *error) {
    // Handle the result
}];
그래프 API를 사용하는 방법을 알아보려면 그래프 API 사용 가이드를 읽어보세요.

매개변수

매개변수설명
maxwidth
int64

maxwidth

omitscript
boolean
기본 값: false

omitscript

sdklocale
string

sdklocale

url
URI

url

필수
useiframe
boolean
기본 값: false

useiframe

필드

필드설명
height
int32

height

html
string

html

provider_name
string

provider_name

provider_url
string

provider_url

type
string

type

version
string

version

width
int32

width

오류 코드

오류설명
200Permissions error
100Invalid parameter
190Invalid OAuth 2.0 Access Token

만들기

이 엔드포인트에서 수행할 수 없는 작업입니다.

업데이트 중

이 엔드포인트에서 수행할 수 없는 작업입니다.

삭제 중

이 엔드포인트에서 수행할 수 없는 작업입니다.